# Get information about upsell in project

Retrieves the information about upsell in project: whether it's enabled, type of upsell, and the SKU list of items that are a part of this upsell.

Endpoint: GET /v2/project/{project_id}/admin/items/upsell
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

## Response 200 fields (application/json):

  - `is_enabled` (boolean)
    Whether upsell is enabled for the project.
    Example: true

  - `type` (string)
    The type of upsell.
    Enum: "fixed_list", "most_sellable", "only_promotions"

  - `items` (array)
    The list of items SKU that are a part of the upsell in the project.
    Example: [{"item_id":1,"sku":"com.xsolla.booster_mega_1","name":{"en":"Item's name","de":"Name des Artikels"},"type":"virtual_good"}]

  - `items.item_id` (integer)
    Internal unique item ID.

  - `items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `items.type` (string)
    Type of item: virtual_good/virtual_currency/bundle/unit.

  - `items.name` (object,null)
    Object with localizations for item’s name. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character language codes (e.g., en-US). While both formats are accepted as input, responses return two-letter lowercase language codes. When both options for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `items.bundle_type` (string)
    Bundle type. Returned if item type is a bundle.
    Enum: "standard", "virtual_currency_package", "partner_side_content"

  - `items.unit_type` (string)
    Type of unit: game.

  - `items.unit_items` (array)
    Game keys for different DRMs.

  - `items.unit_items.item_id` (integer)
    Internal unique item ID.

  - `items.unit_items.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `items.unit_items.type` (string)
    Type of item: virtual_good/virtual_currency/bundle/unit.

  - `items.unit_items.name` (object,null)
    Object with localizations for item’s name. Accepts value in one of two formats: two-letter lowercase language codes (e.g., en) or five-character language codes (e.g., en-US). While both formats are accepted as input, responses return two-letter lowercase language codes. When both options for the same language are provided (e.g., en and en-US), the last provided value is stored. You can find the full list of supported languages in the [documentation](/doc/shop-builder/references/supported-languages/).

  - `items.unit_items.drm_name` (string)
    Game key DRM name.

  - `items.unit_items.drm_sku` (string)
    DRM unique ID.

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"


